Scroll

Cost: 5 credit per company returned. 5 credits if no results are found.

Finds similar companies to the given company by id or domain. The POST route allows specifying further filtering parameters. At most 100 companies are returned per request.

You can request the next page of results by using the cursor parameter. The cursor is a string that encodes the current position in the result set. In case on no cursor is provided, the first page of results is returned. You can then use the next_cursor parameter to get the next page of results.

This will allow you to scroll over the results without having to keep track of the current page number and also allow paginating into more than 10.000 results.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
expand
array of strings

Expandable response fields. Repeat the parameter to request multiple expansions.

Supported values:

  • workforce: costs 5 credits per company and adds the workforce field to CompanyInfo.
expand
Body Params
int32
1 to 100

The number of results to return in each page. Must be between 1 and 100

string | null

The cursor to use for pagination. This is used for cursor based pagination. If this is set, Page will be ignored.

domains
array of strings
length between 1 and 10

The domains to find similar companies for. Up to 10 domains are allowed.

domains
double
-1 to 1

The similarity weight to apply to the results. Must be between -1 and 1. 0 is default. Larger values will prioritize more similar companies, smaller values will prioritize more established companies.

exclude
object | null

Exclusion filters to apply on the companies. If a company matches any of the filters here, it will be excluded from the results.

string | null

The search query to apply on the company name and domain

foundedYear
object | null

The range of years

fundingAmount
object | null

The funding amount range to filter by

fundingYear
object | null

The range of years

enum

The operator to apply to the filters. Defaults to And.

Allowed:
enum

The operator to apply to the filters. Defaults to And.

Allowed:
enum

The operator to apply to the filters. Defaults to And.

Allowed:
workforceGrowth
object | null

Filter companies by workforce growth percentage over a selected period and department.

workforceSize
array of objects | null

Filter companies by absolute workforce headcount. Multiple entries can be provided to filter on different departments simultaneously.

workforceSize
require
array of objects | null

The features that must exist for the company

require
regions
array of strings | null

The region IDs to filter by

regions
countries
array of strings | null

The 2 letter country codes to filter by

countries
states
array of int32s | null

The state IDs to filter by

states
cities
array of int32s | null

The city IDs to filter by

cities
type
array of objects | null

The list of company types to filter by

type
category
array of objects | null

The list of company categories to filter by

category
employees
array of objects | null

The list of employee counts to filter by

employees
revenue
array of objects | null

The list of revenue ranges to filter by

revenue
naicsCode
array of int32s | null

The NAICS codes to filter by. Can be 2 to 6 digit codes. In case of a 2-5 digit code, all 6 digit codes under it will be included

naicsCode
keywords
array of strings | null

The keywords to filter by

keywords
technologies
array of strings | null

The technologies to filter by

technologies
fundingRounds
array of objects | null

The funding rounds to filter by

fundingRounds
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json